LFR-FSW - Bug #97

TM_LFR_HK: sauts de HK_LFR_DPU SPW PKT SENT_CNT
19/03/2014 01:04 PM - Gerald Saule

Status: Rejected Start date: 19/03/2014
Priority: Normal Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r104

Description

Il s'agit de tester la robustesse du FSW LFR lors de déconnection fugitive entre carte et brique.
Les traces obtenues sont:

18:38:27.989082, TM_LFR_HK, HK_LFR_DPU_SPW_PKT_SENT_CNT=1728, HK_LFR_MODE: STANDBY =0
DECONNECTION/RECONNECTION

18:38:30.59011, TM_LFR_HK, HK_LFR_DPU_SPW_PKT_SENT_CNT=*4003*; exp=1729 , HK_LFR_MODE: STANDBY =0

Le pb porte sur le saut inaproprié de la valeur de HK_LFR_DPU_SPW_PKT_SENT_CNT.

Notons que la déconnexion se traduit ici par une absence de TM pendant 2.6s, ce qui laisse présentir que le FSW a identifié une
perte du lien confirmée pendant SY_LFR_DPU_CONNECT_TIMEOUT (=1000ms); une mise en oeuvre des
SSS-CP-EQS-153/154/155 étant prévisible.

Ce test montre aussi d'autres irrégulariés de HK_LFR_DPU_SPW_PKT_SENT_CNT: davantage compréhensibles, elles sont
tracées par l'issue "TM_LFR_HK: HK_LFR_DPU_SPW_PKT_SENT_CNT périmé".

Contexte:

LPPMON Version=0.2.2 Branch=default Changeset=835955994d5f

Carte mini-LFR:LFR-172200 dev V1.0; No série |l (sans connecteurs sub-click)
Vhdl: mini-Ifr_0.0.15

Soft: 1.0.0.1 (variante sur carte finale)

Brique Star-Dundee S/N 46120065.

TEST CASE = SVS_0061
RPW-SYS-IDB-00067-LES Issue1l_Rev8

RPW-SYS-MEB-LFR-ICD-00097 Issue2_Rev0
RPW-SYS-SSS-00013-LES + Annex_Release_Definition Issue2_rev1

History

#1 - 02/05/2014 03:34 PM - paul leroy
- Status changed from New to Feedback

- Assignee changed from paul leroy to bruno katra

Ces compteurs sont gérés par le driver SpaceWire fourni par Aeroflex/Gaisler pour RTEMS. La déconnexion compléte de la liaison par enlevement
du cable n'est peut-étre pas un cas qui peut étre traité correctement par le driver. A suivre, notamment au LESIA si ils ont des moyens de faire des
deconnexions moins brutales.

#2 - 24/03/2017 12:03 PM - bruno katra
- Status changed from Feedback to Rejected

Plusieurs prises de contact avec le LESIA ont montré gu'ils n'ont pas les moyens non plus d'investiguer avec nous ce genre de pbs.
